
Foreman - Bug #25812

Multiple react-intl JS errors on dashboard

01/09/2019 10:02 AM - Tomer Brisker

Status: Rejected   

Priority: Normal   

Assignee:    

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Also, not quite sure why, but it looks like it is trying to load the spanish locale?

[React Intl] Error formatting date.

RangeError: date value is not finite in DateTimeFormat.format() index.es.js:518

[React Intl] Error formatting relative time.

RangeError: The date value provided to IntlRelativeFormat#format() is not in valid range. index.es

.js:518

[React Intl] Error formatting date.

RangeError: date value is not finite in DateTimeFormat.format() index.es.js:518

[React Intl] Error formatting relative time.

RangeError: The date value provided to IntlRelativeFormat#format() is not in valid range. index.es

.js:518

defaultErrorHandler

index.es.js:518

formatRelative

index.es.js:741

render

index.es.js:1347

finishClassComponent

react-dom.development.js:13727

updateClassComponent

react-dom.development.js:13690

beginWork

react-dom.development.js:14489

performUnitOfWork

react-dom.development.js:17014

workLoop

react-dom.development.js:17054

renderRoot

react-dom.development.js:17133

performWorkOnRoot

react-dom.development.js:17993

performWork

react-dom.development.js:17901

performSyncWork

react-dom.development.js:17873

requestWork

react-dom.development.js:17761

scheduleWork

react-dom.development.js:17566

enqueueSetState

react-dom.development.js:11695

Component.prototype.setState

react.development.js:373

I18nProviderWrapper/<
i18nProviderWrapperFactory.js:18:8

run

es6.promise.js:75

notify/<

es6.promise.js:92

flush

_microtask.js:18

[React Intl] Error formatting date.

RangeError: date value is not finite in DateTimeFormat.format() index.es.js:518

[React Intl] Error formatting relative time.

RangeError: The date value provided to IntlRelativeFormat#format() is not in valid range.

Related issues:

Related to Foreman - Feature #21312: Foreman should provide react components ... Closed

History

#1 - 01/10/2019 12:30 PM - Tomer Brisker

- Related to Feature #21312: Foreman should provide react components for formatting dates added

#2 - 04/22/2020 09:25 PM - Ondřej Ezr

- Status changed from New to Rejected

Not relevant anymore thus solved
